| Haskell Hierarchical Libraries (base package) | Contents | Index

GHC.Int

Portability | non-portable (GHC Extensions)
Stability | internal
Maintainer | cvs-ghc@haskell.org

Description
The sized integral datatypes, `Int8`, `Int16`, `Int32`, and `Int64`.
Synopsis

data Int8 = I8# Int#
data Int16 = I16# Int#
data Int32 = I32# Int#
data Int64 = I64# Int64#

Documentation
data Int8

8-bit signed integer type
Constructors

I8# Int# |

Instances

IArray UArray Int8
Ix ix => Eq (UArray ix Int8)
Ix ix => Ord (UArray ix Int8)
(Ix ix, Show ix) => Show (UArray ix Int8)
MArray (STUArray s) Int8 (ST s)
(Ix ix, Show ix) => Show (DiffUArray ix Int8)
IArray (IOToDiffArray IOUArray) Int8
MArray IOUArray Int8 IO
Typeable Int8
Storable Int8
Show Int8
Num Int8
Real Int8
Enum Int8
Integral Int8
Bounded Int8
Ix Int8
Read Int8
Bits Int8
Eq Int8
Ord Int8

data Int16

16-bit signed integer type
Constructors

I16# Int# |

Instances

IArray UArray Int16
Ix ix => Eq (UArray ix Int16)
Ix ix => Ord (UArray ix Int16)
(Ix ix, Show ix) => Show (UArray ix Int16)
MArray (STUArray s) Int16 (ST s)
(Ix ix, Show ix) => Show (DiffUArray ix Int16)
IArray (IOToDiffArray IOUArray) Int16
MArray IOUArray Int16 IO
Typeable Int16
Storable Int16
Show Int16
Num Int16
Real Int16
Enum Int16
Integral Int16
Bounded Int16
Ix Int16
Read Int16
Bits Int16
Eq Int16
Ord Int16

data Int32

32-bit signed integer type
Constructors

I32# Int# |

Instances

IArray UArray Int32
Ix ix => Eq (UArray ix Int32)
Ix ix => Ord (UArray ix Int32)
(Ix ix, Show ix) => Show (UArray ix Int32)
MArray (STUArray s) Int32 (ST s)
(Ix ix, Show ix) => Show (DiffUArray ix Int32)
IArray (IOToDiffArray IOUArray) Int32
MArray IOUArray Int32 IO
Typeable Int32
Storable Int32
Show Int32
Num Int32
Enum Int32
Integral Int32
Read Int32
Bits Int32
Real Int32
Bounded Int32
Ix Int32
Eq Int32
Ord Int32

data Int64

64-bit signed integer type
Constructors

I64# Int64# |

Instances

IArray UArray Int64
Ix ix => Eq (UArray ix Int64)
Ix ix => Ord (UArray ix Int64)
(Ix ix, Show ix) => Show (UArray ix Int64)
MArray (STUArray s) Int64 (ST s)
(Ix ix, Show ix) => Show (DiffUArray ix Int64)
IArray (IOToDiffArray IOUArray) Int64
MArray IOUArray Int64 IO
Typeable Int64
Storable Int64
Eq Int64
Ord Int64
Show Int64
Num Int64
Enum Int64
Integral Int64
Read Int64
Bits Int64
Real Int64
Bounded Int64
Ix Int64

Produced by Haddock version 0.6